# Generated by Django 4.0.3 on 2024-04-02 07:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Policies', '0004_rename_dmp_rec_policy_dmp_recommendation_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='College',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('acronym', models.CharField(max_length=30)),
                ('policy', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policy')),
            ],
        ),
        migrations.AlterField(
            model_name='institute',
            name='university',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.college'),
        ),
        migrations.DeleteModel(
            name='University',
        ),
    ]
